Bug 730508 - Use system's locale for sandboxed applications
Summary: Use system's locale for sandboxed applications
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-13 23:24 UTC by Heiko Adams
Modified: 2012-07-27 13:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-27 13:22:23 UTC


Attachments (Terms of Use)

Description Heiko Adams 2011-08-13 23:24:50 UTC
Description of problem:
Currently all applications which are launched inside of a sandbox have an english locale. This could be irritating to endusers which have to use sandboxed applications for security reasons.

Version-Release number of selected component (if applicable):
policycoreutils-python-2.0.86-7.fc15.i686

How reproducible:
allways

Steps to Reproduce:
1. launch i.e. sandbox -X epdfview
  
Actual results:
sandboxed ePDFview has an english userinterface

Expected results:
sandboxed ePDFview's userinterface locale should be same as the unsanboxed one

Additional info:

Comment 1 Daniel Walsh 2011-08-15 10:48:33 UTC
Which environment variables should be inherited to make this work properly?

Comment 2 Heiko Adams 2011-08-15 11:12:19 UTC
[heiko@Ostfriesland ~]$ locale
LANG=de_DE.UTF-8
LC_CTYPE="de_DE.UTF-8"
LC_NUMERIC="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LC_COLLATE="de_DE.UTF-8"
LC_MONETARY="de_DE.UTF-8"
LC_MESSAGES=de_DE.UTF-8
LC_PAPER="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_ADDRESS="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_ALL=

IMO LANG should do the job

Comment 3 Daniel Walsh 2011-08-15 12:10:45 UTC
Ok one option I could do would be to copy /etc/skel/.bashrc into the new sandbox directory.  Which I believe would get the system default.  Maybe copy all of the files in this directory.

Another option would be to just take the $LANG and setup a local .bashrc within the sandbox with this line

LANG="en_US.UTF-8"

What do you think?

Comment 4 Heiko Adams 2011-08-15 12:18:43 UTC
Hmm .. at the moment I'd thinkt that the second option would be enough. IMO the first option would produce a lot of unnecessary overhead until you start a sandboxed bash.

Comment 5 Daniel Walsh 2012-07-27 13:22:23 UTC
Since this version of Fedora is no longer supported I am closing this bugs.  If you are still seeing this bug in a current version of fedora, please reopen the bugzilla with the appropriate version number.


Note You need to log in before you can comment on or make changes to this bug.